From ac224aaa5d7510de64c37fee48eddd81b09ef3cd Mon Sep 17 00:00:00 2001
From: Douglas Guptill <douglas.guptill@dal.ca>
Date: Mon, 29 Jun 2009 18:04:32 +0000
Subject: [PATCH] run script

---
 douar.run.sopalepc | 52 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)
 create mode 100755 douar.run.sopalepc

diff --git a/douar.run.sopalepc b/douar.run.sopalepc
new file mode 100755
index 00000000..56d08452
--- /dev/null
+++ b/douar.run.sopalepc
@@ -0,0 +1,52 @@
+#!/bin/sh
+#
+# run douar, on sopalepc
+#
+# Author: Douglas Guptill
+# 2009-06-19: new, from a copy of the one for mahone
+
+make_dir() {
+  if ! test -d $1;  then mkdir $1; fi
+}
+
+if test $# -lt 1 ; then
+  echo "Usage: $0 <number-of-processors>"
+  exit
+fi
+
+PROCS=$1
+echo "Will use ${PROCS} processes."
+OUT=douar.out
+
+# For wsmp
+export MALLOC_TRIM_THRESHOLD_=-1
+export MALLOC_MMAP_MAX_=0
+
+# douar needs some directories..
+make_dir DEBUG
+make_dir DEBUG/mpilogs
+make_dir OUT
+
+# define the binary of douar
+BIN=/home/dguptill/software/douar/bin/douar
+
+# ulimits
+# (I put this in while debugging; not sure it helped anything)
+ulimit -s 20480      >>${OUT}
+ulimit -a            >>${OUT}
+
+# Here is the run command
+#
+COM="mpirun -np ${PROCS} --host localhost,localhost,localhost,localhost \
+--byslot --mca btl sm,self ${BIN}"    
+echo "COM is <${COM}>"
+
+# start douar and go away....
+#
+# nohup ${COM} &
+# echo "douar has been started.  Look in nohup.out ."
+
+# start douar and watch it........
+#
+${COM} 2>douar.err | tee -a ${OUT} 
+
-- 
GitLab